Page MenuHomePhabricator

CONTROL_PORT_FILTER_WHITELIST wildcard feature
Closed, ResolvedPublic

Description

onionshare, ricochet, etc. would need something like this.

CONTROL_PORT_FILTER_WHITELIST=PROTOCOLINFO 1,add_onion *,del_onion *

So it would be nice if we had a wildcard matching feature. So stuff like:

  • add_onion new:best port=80,60132
  • i.e. add_onion *:* port=*,*
  • or add_onion *
  • del_onion ...
  • list_onion ...

All would be accepted.

Details

Impact
Normal

Event Timeline

Patrick created this task.Dec 5 2015, 2:12 PM
Patrick raised the priority of this task from to Normal.
Patrick updated the task description. (Show Details)
Patrick set Impact to Normal.
Patrick added subscribers: Patrick, troubadour, HulaHoop.
Patrick updated the task description. (Show Details)Dec 7 2015, 12:34 PM
Patrick updated the task description. (Show Details)Dec 7 2015, 12:38 PM
Patrick added a subscriber: troubadour.
Patrick closed this task as Resolved.Dec 30 2015, 7:32 PM

troubadour has implemented this.

Add wildcard support

New variable CONTROL_PORT_FILTER_ALLOW_WILDCARDS. If set, commands containing
random data (ex hidden service ID:port) are passed if an wildcard alias exists
in the commands whitelist (ex 'add_onion *')

https://github.com/Whonix/control-port-filter-python/commit/96a8c164e44269c7ffd9e8c715b92a84f3359c59